package com.sunxung.factoring.entity.tradingPlatform;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;
import org.hibernate.validator.constraints.NotEmpty;

import javax.validation.constraints.NotNull;

/**
 * @Description 贸易平台-开票信息实体类
 * @Author Yafan Wang
 * @Date 2023/3/9 11:44
 */
@TableName("trading_platform_invoice_info")
public class TradingPlatformInvoiceInfo extends BaseEntity {

    @NotNull(message = "贸易平台Id不能为空！")
    @TableField("trading_platform_id")
    private Long tradingPlatformId;

    @TableField("platform_name")
    @NotEmpty(message = "贸易平台名称不能为空！")
    private String platformName;

    @TableField("social_credit_code")
    @NotEmpty(message = "纳税识别号不能为空！")
    private String socialCreditCode;

    @TableField("address")
    @NotEmpty(message = "地址不能为空！")
    private String address;

    @TableField("phone_number")
    @NotEmpty(message = "电话不能为空！")
    private String phoneNumber;

    @TableField("bank_account")
    @NotEmpty(message = "开户行不能为空！")
    private String bankAccount;

    @TableField("account")
    @NotEmpty(message = "账号不能为空！")
    private String account;


    public String getBankAccount() {
        return bankAccount;
    }

    public void setBankAccount(String bankAccount) {
        this.bankAccount = bankAccount;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public Long getTradingPlatformId() {
        return tradingPlatformId;
    }

    public void setTradingPlatformId(Long tradingPlatformId) {
        this.tradingPlatformId = tradingPlatformId;
    }

    public String getPlatformName() {
        return platformName;
    }

    public void setPlatformName(String platformName) {
        this.platformName = platformName;
    }

    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }
}
